Skip to main content
curl --request GET 'https://api.mayar.id/hl/v1/installment/ba82c2dd-06c1-4b6c-bc59-a9c00801c842' \
--header 'Authorization: Bearer Paste-Your-API-Key-Here' \
--data ''
{
    "statusCode": 200,
    "messages": "Success",
    "data": {
        "id": "ba82c2dd-06c1-4b6c-bc59-a9c00801c842",
        "createdAt": 1755631209521,
        "period": "MONTHLY",
        "tenure": 3,
        "dueDate": 11,
        "interest": 0,
        "interestType": "FLAT",
        "paymentLinkId": "8f722421-e8fd-4d05-ae0c-5f4a224b7923",
        "updatedAt": 1755631209521,
        "userId": "348e083d-315a-4e5c-96b1-5a2a98c48413",
        "paymentLink": {
            "id": "8f722421-e8fd-4d05-ae0c-5f4a224b7923",
            "name": "Azumii",
            "amount": 1500000,
            "description": "Cicil Produk Kelas Online 3 Bulan",
            "customerId": "62d1a396-07d8-4d93-a14c-9ec801f3af20"
        },
        "invoices": [
            {
                "id": "9fe1b9c4-b5d5-4d45-bf1a-5c4849631725",
                "expiredAt": 1757523600000,
                "amount": 500000,
                "category": null,
                "status": "unpaid",
                "index": 1,
                "link": "mkcn4u72ki",
                "description": "Cicil Produk Kelas Online 3 Bulan",
                "interestAmount": 0,
                "remainingAmount": 1000000
            },
            {
                "id": "977777d6-af25-464e-a8ca-e290b3007275",
                "expiredAt": 1760115600000,
                "amount": 500000,
                "category": null,
                "status": "unpaid",
                "index": 2,
                "link": "0ll429zxvsue",
                "description": "Cicil Produk Kelas Online 3 Bulan",
                "interestAmount": 0,
                "remainingAmount": 500000
            },
            {
                "id": "1dde3426-f6a4-43d2-a1d9-2cd2fa05eb9a",
                "expiredAt": 1762794000000,
                "amount": 500000,
                "category": null,
                "status": "unpaid",
                "index": 3,
                "link": "h8fiobqkek",
                "description": "Cicil Produk Kelas Online 3 Bulan",
                "interestAmount": 0,
                "remainingAmount": 0
            }
        ]
    }
}
Endpoint:
https://api.mayar.id/hl/v1/installment/{id}

Authorization

Authorization
string
required
Example:Authorization | Bearer Paste-Your-API-Key-Here

Path Parameter

id
string
required
A unique identifier obtained when creating an installment. If accessed through the dashboard, it can be found at the URL on the installment details page.Example:ba82c2dd-06c1-4b6c-bc59-a9c00801c842

Response

Successful Response

Main Structure (Root Object)

statusCode
integer
Status code form API.
messages
string
Status message that describes the status code.
data
array of object
Main response data.

data Structure (Array Of Object)

id
string
Main ID (UUID).
createdAt
integer
Creation time (timestamp in ms).
period
string
Installment period (example: "MONTHLY").
tenure
integer
Installment duration (in months).
dueDate
integer
Due date value (example: 11).
interest
integer
Interest value.
interestType
string
Type of interest (example: "FLAT").
Associated Payment Link ID.
updatedAt
integer
Last update time (timestamp in ms).
userId
string<uuid>
User ID.
Payment link details.
invoices
array of object
List of invoices.
id
string<uuid>
Payment link ID.
name
string
Customer name for the payment link.
amount
integer
Total payment amount.
description
string
Description of the payment.
customerId
string<uuid>
Customer ID.

invoices Structure (Array Of Object)

id
string<uuid>
Invoices ID.
expiredAt
integer
Expiration time of the installment created.
amount
integer
nvoice amount.
status
string | null
Invoice category.
status
string
Payment status (example: "unpaid").
IInvoice order number.
Unique invoice link.
description
string
Invoice description.
interestAmount
integer
Interest amount for the invoice.
remainingAmount
integer
Remaining balance for this invoice.